Name:           python-asammdf
Version:        8.2.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ASAM MDF measurement data file parser

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        LGPL-3.0-or-later
URL:            https://github.com/danielhrisca/asammdf
Source:         %{pypi_source asammdf}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'asammdf' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-asammdf
Summary:        %{summary}

%description -n python3-asammdf %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-asammdf decode,encryption,export,export-matlab-v5,filesystem,gui,symbolic-math,testing


%prep
%autosetup -p1 -n asammdf-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x decode,encryption,export,export-matlab-v5,filesystem,gui,symbolic-math,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-asammdf -f %{pyproject_files}


%changelog
%autochangelog